# Factory (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.common
Interface Factory<T>

Type Parameters:
  `T` - the type of object created by this factory

All Known Subinterfaces:
  Factory.Named<T>

All Known Implementing Classes:
  AES128CBC.Factory, AES128CTR.Factory, AES192CBC.Factory, AES192CTR.Factory, AES256CBC.Factory, AES256CTR.Factory, BlowfishCBC.Factory, BouncyCastleRandom.Factory, DelayedZlibCompression.Factory, DHG1.Factory, DHG14.Factory, HMACMD5.Factory, HMACMD596.Factory, HMACSHA1.Factory, HMACSHA196.Factory, JCERandom.Factory, MD5.Factory, NoneCipher.Factory, NoneCompression.Factory, OpenSSHKeyFile.Factory, PKCS8KeyFile.Factory, SHA1.Factory, SignatureDSA.Factory, SignatureRSA.Factory, SingletonRandomFactory, TripleDESCBC.Factory, ZlibCompression.Factory

    public interface Factory<T>

A basic factory interface.

Nested Class Summary
`static interface` `Factory.Named<T>` Inteface for a named factory.

Method Summary
`T` `create()`

Method Detail

### create

    T create()

  Returns:
    a new object created using this factory.

Copyright © 2009-2011. All Rights Reserved.